%% Intro
clear all;
clc;
%% Parameters
globalparams = xlsread('globalparams.xlsx');
gbmparams = xlsread('gbmparams.xlsx');
nigparams = xlsread('nigparams.xlsx');
vgparams = xlsread('vgparams.xlsx');

r = globalparams(1);
s0 = globalparams(2);
strike = globalparams(3);

mean = gbmparams(1);
sd = gbmparams(2);

alpha = nigparams(2);
delta = nigparams(3);
beta = nigparams(4);
munig = nigparams(5);

lambda = vgparams(1);
% psi = vgparams(3); % Unecessary. psi = 2*lambda
muvg = vgparams(4);
sigma = vgparams(5);
vggamma = vgparams(6); % gamma variable called vggamma to avoid problems with using gamma function

%

q = 0; % Coupons (rate)
T = 50; % Maturity (time)
dt = 1; % Length of time step
% gridsizes = [8, 9, 10, 11, 12]; % Finess of prob. grid.
gridsizes = [8, 9, 10, 11];
gridsizes = 2.^gridsizes;

clear globalparams
clear gbmparams
clear nigparams
clear vgparams